<?php

namespace Controllers;

use Libs\ResponseLib;
use Psr\Http\Message\ServerRequestInterface;

class HelloController
{
    public function __invoke(ServerRequestInterface $request)
    {
        //$apiUser = $request->getAttribute('api_user');  // Exemplo: usa atributo do middleware
        $data = ["message" => "Hello World!"];
        return ResponseLib::sendOk($data);
    }
}